Bug 20102 - LookNode.getHandle does not have a way how to store the represented object
LookNode.getHandle does not have a way how to store the represented object
Status: RESOLVED WONTFIX
Product: contrib
Classification: Unclassified
Component: Looks
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: issues@contrib
issues@contrib
:
Depends on:
Blocks: 18177
  Show dependency treegraph
 
Reported: 2002-02-04 10:58 UTC by Jaroslav Tulach
Modified: 2012-10-18 02:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-02-04 10:58:25 UTC
In the new looks architecture the LookNode.getHandle of the root LookNode stores
the map of looks attached to nodes in the subtree, but to fully work, it needs a
way how to recreate the represented object. 

Probably some API method is needed: Look.persistentStorage (NodeSubstitute) or
so...
Comment 1 Petr Hrebejk 2002-06-24 11:12:15 UTC
Moving Looks issues to dev 4.0
Comment 2 Marian Mirilovic 2003-01-29 12:54:46 UTC
added keyword PROJECTS, because we need to distinguish 
issues against NB4.0 and S1Sx.y
Comment 3 Jesse Glick 2003-03-19 17:54:22 UTC
There is Look.id(Object) now, is that what that is for?
Comment 4 Marian Mirilovic 2003-12-22 13:23:46 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss
the
current work on projects prototype has been stopped.

removed PROJECTS keyword.
Comment 5 Marian Mirilovic 2004-06-14 14:09:12 UTC
re-evaluate please ...
Comment 6 Petr Hrebejk 2007-01-09 14:56:20 UTC
x
Comment 7 Quality Engineering 2012-10-18 02:02:30 UTC
Integrated into 'main-golden', will be available in build *201210180002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8a8645d37e6e
User: Petr Pisl <ppisl@netbeans.org>
Log: #20102 - Parameter's context not resolved if used in object literal


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo